# $Revision: 1.26 $, $Date: 2008/08/17 16:49:46 $
Summary:	Render a planetary image into an X window
Summary(pl.UTF-8):	Renderuje obrazek planety w okienku X window
Name:		xplanet
Version:	1.2.0
Release:	3
License:	GPL
Group:		X11/Amusements
Source0:	http://dl.sourceforge.net/xplanet/%{name}-%{version}.tar.gz
# Source0-md5:	87d62fcdf43ad1beec677bfb6e299ac1
Patch0:		%{name}-gcc43.patch
URL:		http://xplanet.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xplanet is similar to Xearth, where an image of the earth is rendered
into an X window. Azimuthal, Mercator, Mollweide, orthographic, or
rectangular projections can be displayed as well as a window with a
globe the user can rotate interactively. The other terrestrial planets
may also be displayed. The Xplanet home page has links to locations
with map files.

%description -l pl.UTF-8
Xplanet podobne jest do Xearth, gdzie obrazek ziemi jest wyświetlany w
X window. Mogą być także wyświetlane rzuty azymutalne, Mercatora,
Mollweide'a, ortograficzne lub prostokątne, kiedy okienko z globem
jest interaktywnie obracane. Mogą być także wyświetlane inne planety
lądowe. Strona domowa Xplanet zawiera odnośniki do plików z mapami.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# force using nl_langinfo interface instead of libcharset
%configure \
	ac_cv_header_localcharset_h=no

%{__make} \
	CPPFLAGS="-I/usr/include/freetype2 -I/usr/X11R6/include -I`pwd`" \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/xplanet

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xplanet.spec,v $
Revision 1.26  2008/08/17 16:49:46  adamg
- gcc43.patch
- release 3

Revision 1.25  2008-05-06 18:44:00  qboosh
- sorted BRs

Revision 1.24  2008-05-01 14:25:09  radek
- release 2: BR =~ s/glut-devel/OpenGL-glut-devel/

Revision 1.23  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.21  2005/12/13 10:01:39  czucz
- reverted last change

Revision 1.20  2005/12/12 17:06:09  czucz
- %{_includedir} macro used

Revision 1.19  2005/07/17 02:01:08  hunter
- up to 1.2.0

Revision 1.18  2004/12/12 11:29:44  adamg
- updated to 1.1.2

Revision 1.17  2004/10/30 14:31:06  qboosh
- force using langinfo instead of libcharset (from libiconv); release 2

Revision 1.16  2004/08/30 23:55:05  darekr
- update to 1.1.1

Revision 1.15  2004/05/25 16:08:25  leafnode
- updated to 1.0.8

Revision 1.14  2004/05/02 11:30:31  adamg
- updated to 1.0.6

Revision 1.13  2004/04/10 22:23:46  adamg
- updated to 1.0.5

Revision 1.12  2004/01/30 17:08:32  eothane
- md5

Revision 1.11  2004/01/30 16:58:48  eothane
- updated to 1.0.3

Revision 1.10  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/07/24 12:24:42  deejay1
- updated to 1.0.1

Revision 1.8  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/13 11:54:57  qboosh
- fixed workaround for broken configure
- removed COPYING (just GPL) and INSTALL (useless in rpm) from doc

Revision 1.5  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.4  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.3  2002/09/16 16:25:05  qboosh
- pl description, added missing dir, cosmetics; release 2

Revision 1.2  2002/08/15 10:20:08  martii
- some buildreq added
- -amimate option still not working ??

Revision 1.1  2002/08/15 09:48:47  martii
- initial release (on reqest of Bonkey)
- compiling now on my system with XFree-nvidia-driver
- needs some cosmetics (kloczek?)
